/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
/* NetworkManager system settings service
 *
 * Based on ifcfg-fedora and ifcfg-suse code
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2008 - 2019 Mikhail Efremov <sem@altlinux.org>
 */

#ifndef NM_ETCNET_CONNECTION_H
#define NM_ETCNET_CONNECTION_H

G_BEGIN_DECLS

#include "nm-dbus-interface.h"
#include "settings/nm-settings-connection.h"

#define NM_TYPE_ETCNET_CONNECTION            (nm_etcnet_connection_get_type ())
#define NM_ETCNET_CONNECTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), NM_TYPE_ETCNET_CONNECTION, NMEtcnetConnection))
#define NM_ETCNET_CONNECTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), NM_TYPE_ETCNET_CONNECTION, NMEtcnetConnectionClass))
#define NM_IS_ETCNET_CONNECTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NM_TYPE_ETCNET_CONNECTION))
#define NM_IS_ETCNET_CONNECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), NM_TYPE_ETCNET_CONNECTION))
#define NM_ETCNET_CONNECTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), NM_TYPE_ETCNET_CONNECTION, NMEtcnetConnectionClass))

typedef struct {
	NMSettingsConnection parent;
} NMEtcnetConnection;

typedef struct {
	NMSettingsConnectionClass parent;
} NMEtcnetConnectionClass;

GType
nm_etcnet_connection_get_type (void);

NMEtcnetConnection *
nm_etcnet_connection_new (const char *iface_path, const char *profile, NMDeviceType dev_type,
                          GHashTable *wsconf, gboolean *ignored);

gboolean nm_etcnet_connection_get_can_autoconnect (NMEtcnetConnection *self);
const char *nm_etcnet_connection_get_id (NMEtcnetConnection *self);

G_END_DECLS

#endif /* NM_ETCNET_CONNECTION_H */
